Bug 895544 - maven-compiler-plugin: LICENSE and NOTICE files are not installed
maven-compiler-plugin: LICENSE and NOTICE files are not installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: maven-compiler-plugin (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: FE-Legal 895545
  Show dependency treegraph
 
Reported: 2013-01-15 08:49 EST by Mikolaj Izdebski
Modified: 2013-03-13 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 895545 (view as bug list)
Environment:
Last Closed: 2013-03-13 09:06:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-01-15 08:49:44 EST
Description of problem:
maven-compiler-plugin must install LICENSE and NOTICE files to comply with upstream licensing terms as well as Fedora guidelines.

Version-Release number of selected component (if applicable):
2.5.1-2

Additional info:
See packaging guidelines [1] and licensing guidelines [2].

[1] http://fedoraproject.org/wiki/Packaging:Guidelines
[2] http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
Comment 1 Mikolaj Izdebski 2013-03-05 11:36:35 EST
Fixed in maven-compiler-plugin-3.0-1
Comment 2 Mikolaj Izdebski 2013-03-13 09:06:56 EDT
I believe that this bug is fixed in maven-compiler-plugin-3.0-2,
which is available in Fedora 19, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=400046

Note You need to log in before you can comment on or make changes to this bug.